package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.palmnest.application.dto.StapleFoodDto;

public class MealOutPutDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 902476287084675078L;

	private String id;
	private String mealName;//餐品名
	private String spec;//餐品规格
	private String specStr;//餐品规格描述
	private int isHaveFood;//是否有主食1有0没有
	private String stapleFoodStr;//可选主食
	private List<StapleFoodDto> stapleFood;//主食
	private String mealDescribe;//描述
	private String mealImages;//图片
	private String mealImagesUrl;//图片
	private Integer isMeetFood;//会议餐
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getMealName() {
		return mealName;
	}
	public void setMealName(String mealName) {
		this.mealName = mealName;
	}
	public String getSpec() {
		return spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}
	public String getStapleFoodStr() {
		return stapleFoodStr;
	}
	public void setStapleFoodStr(String stapleFoodStr) {
		this.stapleFoodStr = stapleFoodStr;
	}
	
	public List<StapleFoodDto> getStapleFood() {
		return stapleFood;
	}
	public void setStapleFood(List<StapleFoodDto> stapleFood) {
		this.stapleFood = stapleFood;
	}
	public String getMealDescribe() {
		return mealDescribe;
	}
	public void setMealDescribe(String mealDescribe) {
		this.mealDescribe = mealDescribe;
	}
	public String getMealImages() {
		return mealImages;
	}
	public void setMealImages(String mealImages) {
		this.mealImages = mealImages;
	}
	public int getIsHaveFood() {
		return isHaveFood;
	}
	public void setIsHaveFood(int isHaveFood) {
		this.isHaveFood = isHaveFood;
	}
	public String getMealImagesUrl() {
		return mealImagesUrl;
	}
	public void setMealImagesUrl(String mealImagesUrl) {
		this.mealImagesUrl = mealImagesUrl;
	}
	public String getSpecStr() {
		return specStr;
	}
	public void setSpecStr(String specStr) {
		this.specStr = specStr;
	}
	public Integer getIsMeetFood() {
		return isMeetFood;
	}
	public void setIsMeetFood(Integer isMeetFood) {
		this.isMeetFood = isMeetFood;
	}
}
